<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
  xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
  xmlns:op="utc.fr:ics/opale3"
  
  exclude-result-prefixes="sc sp op">
  <xsl:import href="intern:bswsp:~param/libLaTeX/_common/txt.xsl"/>
  
  <xsl:output method="text" encoding="UTF-8" indent="no"/>
  <xsl:param name="vDialog"/>
  <xsl:param name="vAgent"/>
  

  <xsl:variable name="nomFichier">
    <xsl:value-of select="code.txt"/>
  </xsl:variable>
  
  <xsl:template match="op:code">
    <xsl:if test="not(getDialogVar('numListing'))">
      <xsl:variable name="numListing" select="setDialogVar('numListing',0)"/>
    </xsl:if>
    <xsl:variable name="numListing" select="setDialogVar('numListing',number(getDialogVar('numListing'))+1)"/>
    \lstinputlisting[language=<xsl:apply-templates select="sc:code" mode="mimeType"></xsl:apply-templates>]{listings/file<xsl:value-of select="$numListing"/>.txt}
    <!-- ATTENTION
        Un traitement particulier est fait à postériori avec une tâche ant qui fait en post traitement la création d'un fichier contenant l'intérieur des
        pseudo balises %STARTLISTING et %ENDLISTING, inclus ce fichier généré dans le latex puis supprime le bloc marqué par ces pseudo balises
    -->
    %STARTLISTING<xsl:value-of select="$numListing"/>%
<!----><xsl:value-of select="sc:code"/>
    %ENDLISTING<xsl:value-of select="$numListing"/>%
  </xsl:template>
  
  <xsl:template match="sc:code" mode="mimeType">
    <xsl:choose>
      <xsl:when test="@mimeType='text/x-gas'">Assembleur</xsl:when>
      <xsl:when test="@mimeType='text/x-csrc'">C</xsl:when>
      <xsl:when test="@mimeType='text/x-c++src'">C++</xsl:when>
      <xsl:when test="@mimeType='text/x-csharp'">Cdieze</xsl:when>
      <xsl:when test="@mimeType='text/x-objectivec'">OC</xsl:when>
      
      <xsl:when test="@mimeType='text/x-ada'">Ada</xsl:when>
      <xsl:when test="@mimeType='text/x-fortran'">Fortran</xsl:when>
      <xsl:when test="@mimeType='text/x-groovy'">Groovy</xsl:when>
      <xsl:when test="@mimeType='text/x-java'">Java</xsl:when>
      <xsl:when test="@mimeType='text/x-pascal'">Pascal</xsl:when>
      <xsl:when test="@mimeType='text/x-python'">Python</xsl:when>
      <xsl:when test="@mimeType='text/x-ruby'">Ruby</xsl:when>
      <xsl:when test="@mimeType='text/x-cobol'">Cobol</xsl:when>

      <xsl:when test="@mimeType='text/x-common-lisp'">Lisp</xsl:when>
      <xsl:when test="@mimeType='text/x-ocaml'">OCaml</xsl:when>
      <xsl:when test="@mimeType='text/scheme'">Scheme</xsl:when>

      <xsl:when test="@mimeType='text/css'">CSS</xsl:when>
      <xsl:when test="@mimeType='text/html'">HTML</xsl:when>
      <xsl:when test="@mimeType='text/javascript'">JavaScript</xsl:when>
      <xsl:when test="@mimeType='text/x-php'">PHP</xsl:when>
      <xsl:when test="@mimeType='application/x-httpd-php'">HTMLPHP</xsl:when>
      <xsl:when test="@mimeType='text/x-sql'">SQL</xsl:when>
      <xsl:when test="@mimeType='text/x-plsql'">plsql</xsl:when>
      <xsl:when test="@mimeType='application/xml'">XML</xsl:when>
<!--      <xsl:when test="@mimeType='application/xml-dtd'">dtd</xsl:when>-->
      
      <xsl:when test="@mimeType='text/x-vb'">VisualB</xsl:when>
      <xsl:when test="@mimeType='text/vbscript'">VBScript</xsl:when>
      
      <xsl:when test="@mimeType='text/x-lua'">Lua</xsl:when>
      <xsl:when test="@mimeType='text/x-perl'">Perl</xsl:when>
      <xsl:when test="@mimeType='text/x-sh'">sh</xsl:when>

      <xsl:when test="@mimeType='text/text/x-julia'">Julia</xsl:when>
      <xsl:when test="@mimeType='text/text/x-mathematica'">Mathematica</xsl:when>
      <xsl:when test="@mimeType='text/x-octave'">Octave</xsl:when>
      <xsl:when test="@mimeType='text/x-rsrc'">R</xsl:when>
      <xsl:when test="@mimeType='text/x-sas'">SAS</xsl:when>
      <xsl:when test="@mimeType='text/x-octave'">Octave</xsl:when>
      <xsl:when test="@mimeType='text/x-stex'">latex</xsl:when>
      
      <xsl:when test="@mimeType='text/x-prolog'">Prolog</xsl:when>
      <xsl:when test="@mimeType='text/x-verilog'">Verilog</xsl:when>
      
<!--      <xsl:when test="@mimeType='text/text/x-properties'">fichier properties</xsl:when>-->
<!--      <xsl:when test="@mimeType='text/x-ini'">=fichier ini</xsl:when>-->
      
<!--      <xsl:when test="@mimeType='text/x-yaml'">yaml</xsl:when>-->
      <xsl:when test="@mimeType='text/plain'">simple</xsl:when>
      <xsl:otherwise></xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
 
  <xsl:template match="*"/>
</xsl:stylesheet>
