<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:op="utc.fr:ics/opale3" 
	exclude-result-prefixes="sc sp op">
	
	<xsl:import href="intern:bswsp:~param/libLaTeX/_common/latex.xsl"/>
	
	<xsl:output method="text" encoding="UTF-8" indent="no"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<xsl:variable name="pubRef" select="getDialogVar('pubRef')" />
	
	<xsl:template match="op:refM"><!--
--><xsl:variable name="label"><xsl:apply-templates select="sp:ref"/></xsl:variable><!--
--><xsl:variable name="content"><xsl:apply-templates select="sp:desc"/></xsl:variable>
		<xsl:if test="$pubRef = 1">
			<xsl:if test="count(getDialogVar('crossref')/ref[@role='ref' and ./label = $label]) = 0">
				<xsl:variable name="crossref">
					<xsl:copy-of select="getDialogVar('crossref')"/>
					<ref role="ref"><label><xsl:value-of select="$label"/></label><content><xsl:value-of select="$content"/></content></ref>
				</xsl:variable>
				<xsl:variable name="crossref2" select="setDialogVar('crossref', $crossref)"/>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="sp:ref"><!--
--><xsl:apply-templates select="text()"/><!--
--></xsl:template>
	
	<xsl:template match="sp:desc"><!--
--><xsl:value-of select="getContent(gotoSubModel(),'')"/>
	</xsl:template>
	
	<!--ATTENTION ! quand on utilise xsl:import les templates définis dans l'import n'ont pas la priorité sur les templates locaux
		Conséquence si on a un <xsl:template match="*"/> en local il ne peut y avoir éxécutions des templates importés autres que ceux appelés
		par xsl;call-template
		Pour palier à celà il convient d'ajouter un <xsl;apply_imports/> dans le <xsl:template match="*"/>
	-->
	<xsl:template match="*"><xsl:apply-imports/></xsl:template>	
	
</xsl:stylesheet>