<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
  xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
  xmlns:op="utc.fr:ics/opale3"
  exclude-result-prefixes="sc sp op">
  <xsl:import href="intern:bswsp:~param/libLaTeX/_common/latex.xsl"/>
  <xsl:import href="intern:bswsp:~param/libLaTeX/_common/filter.xsl"/>
  <xsl:import href="intern:bswsp:~param/libLaTeX/_common/labelRef.xsl"/> 
  
  <xsl:output method="text" encoding="UTF-8" indent="no"/>
  <xsl:param name="vDialog"/>
  <xsl:param name="vAgent"/>
  
  <xsl:template match="op:res"><!--
--><xsl:apply-templates select="sp:*" mode="filter"/>
  </xsl:template>
  
  <!-- part non filtrées : accès direct à la règle de base -->
  <xsl:template match="sp:*[name() != 'sp:filtered']" mode="filter">
    <xsl:apply-templates select="."/>
  </xsl:template>
  <!-- part non filtrées -->
  
  <xsl:template match="sp:txt | sp:txtRes"><!--
--><xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>
  </xsl:template>
  
  <xsl:template match="sp:bkquote">
    \begin{quote}
    <xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>
    \end{quote}
  </xsl:template>
  
  <xsl:template match="sp:listing">
    \begin{SClisting}
    <xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>
    \end{SClisting}
  </xsl:template>
  
  <xsl:template match="sp:filtered">
    <xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>
  </xsl:template>
  
  <xsl:template match="sp:formInt">
    <xsl:variable name="numbered" select="getContent(gotoMeta(),'')"></xsl:variable>
    <xsl:variable name="label" select="getContent(gotoMeta(),'label')"></xsl:variable>
    <xsl:variable name="formInt">
      <xsl:call-template name="cleanEquation">
        <xsl:with-param name="equation" select="getContent(gotoSubModel(),'')"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{math}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{displaymath}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{equation}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{equation*}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{gather}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{gather*}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{align}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{align*}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{flalign}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{flalgn*}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{multline}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{multline*}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{alignat}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{alignat*}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{split}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{eqnarray}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{eqnarray*}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{table}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{center}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{list}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{figure}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{list}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{verbatim}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($formInt),'\begin{theorem}')"><xsl:value-of select="$formInt" /></xsl:when>
      <xsl:otherwise>
        <xsl:if test="$numbered = 'no'">
          \begin{equation*}
          <xsl:value-of select="$formInt" />
          \end{equation*}
        </xsl:if>
        <xsl:if test="$numbered = 'yes'">
          \begin{equation}
          <xsl:value-of select="$formInt" />
          <xsl:if test="string-length(normalize-space($label)) > 0"><xsl:value-of select="normalize-space($label)" /></xsl:if>
          \end{equation}
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
  
  <!-- cas des ressources -->
  <xsl:template match="sp:res">
    <xsl:variable name="index" select="getContent(gotoMeta(),'')" />
    <xsl:choose>
      <xsl:when test="$index = 'img' or $index='graph'">
        <xsl:call-template name="figure" />
      </xsl:when>
      <xsl:when test="$index = 'tab'">
        <xsl:call-template name="table" />
      </xsl:when>
      <xsl:when test="$index = 'form'">
        <xsl:call-template name="formula">
          <xsl:with-param name="numbered">yes</xsl:with-param>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$index = 'normal'">
        <xsl:call-template name="normal" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="normal" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
  
  <xsl:template name="normal">
    <!--    <xsl:variable name="uri" select="@sc:refUri" />-->
    <!-- ATTENTION ! Ne pas utiliser le selec="@sc:refUrl" pour un test sur la valeur.
      en contexte SCserver ça ne donne pas la bonne info 
      => utiliser : select="srcFields(resolveSrcPath(@sc:refUri), 'srcUri') -->
    <xsl:variable name="uri" select="srcFields(resolveSrcPath(@sc:refUri), 'srcUri')" />
    <xsl:choose>
      <!-- image : jpg, jpeg, png, gif ou graph : odg -->
      <xsl:when test="substring($uri, (string-length($uri) - string-length('.jpg')) + 1) = '.jpg' or substring($uri, (string-length($uri) - string-length('.jpeg')) + 1) = '.jpeg' or substring($uri, (string-length($uri) - string-length('.png')) + 1) = '.png' or substring($uri, (string-length($uri) - string-length('.gif')) + 1) = '.gif' or substring($uri, (string-length($uri) - string-length('.odg')) + 1) = '.odg'">
        <xsl:call-template name="figure" />
      </xsl:when>
      <!-- tableau : ods -->
      <xsl:when test="substring($uri, (string-length($uri) - string-length('.ods')) + 1) = '.ods'">
        <xsl:call-template name="table" />
      </xsl:when>
      <!-- formule : .mtex ou odf -->
      <xsl:when test="substring($uri, (string-length($uri) - string-length('.mtex')) + 1) = '.mtex' or substring($uri, (string-length($uri) - string-length('.odf')) + 1) = '.odf'">
        <xsl:call-template name="formula">
          <xsl:with-param name="numbered">no</xsl:with-param>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise></xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
  <xsl:template name="table">
    <!--    <xsl:variable name="uri" select="@sc:refUri" />-->
    <!-- ATTENTION ! Ne pas utiliser le selec="@sc:refUrl" pour un test sur la valeur.
      en contexte SCserver ça ne donne pas la bonne info 
      => utiliser : select="srcFields(resolveSrcPath(@sc:refUri), 'srcUri') -->
    <xsl:variable name="uri" select="srcFields(resolveSrcPath(@sc:refUri), 'srcUri')" />
    <xsl:choose>
      <xsl:when test="substring($uri, (string-length($uri) - string-length('.jpg')) + 1) = '.jpg' or substring($uri, (string-length($uri) - string-length('.jpeg')) + 1) = '.jpeg' or substring($uri, (string-length($uri) - string-length('.png')) + 1) = '.png' or substring($uri, (string-length($uri) - string-length('.gif')) + 1) = '.gif' or substring($uri, (string-length($uri) - string-length('.odg')) + 1) = '.odg' or substring($uri, (string-length($uri) - string-length('.ods')) + 1) = '.ods' or substring($uri, (string-length($uri) - string-length('.odf')) + 1) = '.odf'">
        \begin{table}[ht!]
        \centering
        <xsl:call-template name="includegraphics"/>
        <xsl:value-of select="getContent(gotoSubModel(),'title')" disable-output-escaping="yes"/><xsl:call-template name="putResLabel" />
        \end{table}
      </xsl:when>
      <xsl:when test="substring($uri, (string-length($uri) - string-length('.mtex')) + 1) = '.mtex'">
        \begin{table}[ht!]
        \centering
        <xsl:call-template name="mtex" />
        <xsl:value-of select="getContent(gotoSubModel(),'title')" disable-output-escaping="yes"/><xsl:call-template name="putResLabel" />
        \end{table}
      </xsl:when>
    </xsl:choose>
  </xsl:template>
  
  <xsl:template name="figure">
    <!--    <xsl:variable name="uri" select="@sc:refUri" />-->
    <!-- ATTENTION ! Ne pas utiliser le selec="@sc:refUrl" pour un test sur la valeur.
      en contexte SCserver ça ne donne pas la bonne info 
      => utiliser : select="srcFields(resolveSrcPath(@sc:refUri), 'srcUri') -->
    <xsl:variable name="uri" select="srcFields(resolveSrcPath(@sc:refUri), 'srcUri')" />
    <xsl:choose>
      <xsl:when test="substring($uri, (string-length($uri) - string-length('.jpg')) + 1) = '.jpg' or substring($uri, (string-length($uri) - string-length('.jpeg')) + 1) = '.jpeg' or substring($uri, (string-length($uri) - string-length('.png')) + 1) = '.png' or substring($uri, (string-length($uri) - string-length('.gif')) + 1) = '.gif' or substring($uri, (string-length($uri) - string-length('.odg')) + 1) = '.odg' or substring($uri, (string-length($uri) - string-length('.ods')) + 1) = '.ods' or substring($uri, (string-length($uri) - string-length('.odf')) + 1) = '.odf'">
        <xsl:variable name="size" select="getContent(gotoSubModel(),'props')"/>
        <xsl:variable name="instruct" select="getContent(gotoSubModel(),'instruct')"/>
        <!--
          \begin{figure}[ht!]
        \centering
          -->
        \begin{center}
        <xsl:call-template name="includegraphics"/>
        <xsl:value-of select="getContent(gotoSubModel(),'title')" disable-output-escaping="yes"/><xsl:call-template name="putResLabel" />
        \end{center}
        <!-- \end{figure} -->
      </xsl:when>
      <xsl:when test="substring($uri, (string-length($uri) - string-length('.mtex')) + 1) = '.mtex'">
        <!--
          \begin{figure}[ht!]
        \centering
          -->
        \begin{center}
        <xsl:call-template name="mtex" />
        <xsl:value-of select="getContent(gotoSubModel(),'title')" disable-output-escaping="yes"/><xsl:call-template name="putResLabel" />
        \end{center}
        <!-- \end{figure} -->
      </xsl:when>
    </xsl:choose>
  </xsl:template>
  
  <xsl:template name="formula">
    <xsl:param name="numbered"/>
    <!--    <xsl:variable name="uri" select="@sc:refUri" />-->
    <!-- ATTENTION ! Ne pas utiliser le selec="@sc:refUrl" pour un test sur la valeur.
      en contexte SCserver ça ne donne pas la bonne info 
      => utiliser : select="srcFields(resolveSrcPath(@sc:refUri), 'srcUri') -->
    <xsl:variable name="uri" select="srcFields(resolveSrcPath(@sc:refUri), 'srcUri')" />
    <xsl:choose>
      <xsl:when test="substring($uri, (string-length($uri) - string-length('.jpg')) + 1) = '.jpg' or substring($uri, (string-length($uri) - string-length('.jpeg')) + 1) = '.jpeg' or substring($uri, (string-length($uri) - string-length('.png')) + 1) = '.png' or substring($uri, (string-length($uri) - string-length('.gif')) + 1) = '.gif' or substring($uri, (string-length($uri) - string-length('.odg')) + 1) = '.odg' or substring($uri, (string-length($uri) - string-length('.ods')) + 1) = '.ods' or substring($uri, (string-length($uri) - string-length('.odf')) + 1) = '.odf'">
        <xsl:if test="$numbered = 'no'">
          \begin{equation*}
          <xsl:call-template name="includegraphics"/>
          \end{equation*}
        </xsl:if>
        <xsl:if test="$numbered = 'yes'">
          \begin{equation}
          <xsl:call-template name="includegraphics"/>
          <xsl:call-template name="putResLabel" />
          \end{equation}
        </xsl:if>
      </xsl:when>
      <xsl:when test="substring($uri, (string-length($uri) - string-length('.mtex')) + 1) = '.mtex'">
        <xsl:variable name="form">
          <xsl:call-template name="cleanEquation">
            <xsl:with-param name="equation" select="getContent(gotoSubModel(),'')"/>
          </xsl:call-template>
        </xsl:variable>
        <xsl:choose>
          <xsl:when test="starts-with(normalize-space($form),'\begin{math}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{displaymath}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{equation}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{equation*}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{gather}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{gather*}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{align}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{align*}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{flalign}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{flalgn*}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{multline}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{multline*}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{alignat}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{alignat*}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{split}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{eqnarray}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{eqnarray*}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{table}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{center}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{list}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{figure}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{list}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{verbatim}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{theorem}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{tabular}')"><xsl:value-of select="$form" /></xsl:when>
          <xsl:when test="starts-with(normalize-space($form),'\begin{tikzpicture}')"><xsl:value-of select="$form" /></xsl:when>
          
          <xsl:otherwise>
            <xsl:if test="$numbered = 'no'">
              \begin{equation*}
              <xsl:value-of select="$form" />
              \end{equation*}
            </xsl:if>
            <xsl:if test="$numbered = 'yes'">
              \begin{equation}
              <xsl:value-of select="$form" /><xsl:call-template name="putResLabel" />
              \end{equation}
            </xsl:if>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
    </xsl:choose>
  </xsl:template>
  
  
  <xsl:template name="mtex">
    <xsl:variable name="form">
      <xsl:call-template name="cleanEquation">
        <xsl:with-param name="equation" select="getContent(gotoSubModel(),'')"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="starts-with(normalize-space($form),'\begin{math}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{displaymath}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{equation}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{equation*}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{gather}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{gather*}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{align}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{align*}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{flalign}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{flalgn*}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{multline}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{multline*}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{alignat}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{alignat*}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{split}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{eqnarray}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{eqnarray*}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{table}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{center}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{list}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{figure}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{list}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{verbatim}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{theorem}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{tabular}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:when test="starts-with(normalize-space($form),'\begin{tikzpicture}')"><xsl:value-of select="$form" /></xsl:when>
      <xsl:otherwise>$<xsl:value-of select="$form" />$</xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
  <xsl:template match="sp:int">
    <!-- type de ressource non traité -->
  </xsl:template>

  <xsl:template match="sp:enum">
    <xsl:value-of select="getContent(gotoSubModel(),'')"/>    
  </xsl:template>
  
  <xsl:template name="includegraphics">
    \SCincludegraphics{<xsl:value-of select="getContent(gotoSubModel(),'props')"/>}{<xsl:value-of select="getContent(gotoMeta(),'opt')"/>}{<xsl:value-of select="getUrl(gotoSubModel(),'')" disable-output-escaping="yes"/>}
  </xsl:template>
  
  <!--ATTENTION ! quand on utilise xsl:import les templates définis dans l'import n'ont pas la priorité sur les templates locaux
		Conséquence si on a un <xsl:template match="*"/> en local il ne peut y avoir éxécutions des templates importés autres que ceux appelés
		par xsl;call-template
		Pour palier à celà il convient d'ajouter un <xsl;apply_imports/> dans le <xsl:template match="*"/>
	-->
  <xsl:template match="*"><xsl:apply-imports/></xsl:template>
</xsl:stylesheet>
