<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:op="utc.fr:ics/opale3"
	exclude-result-prefixes="sc sp op">
	<xsl:import href="intern:bswsp:~param/libLaTeX/_common/latex.xsl"/>

<xsl:output method="text" encoding="UTF-8" indent="no"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>

	<xsl:variable name="vLocalAltBaremeRoot" select="getDialogVar('vLocalAltBaremeRoot')" />
	
	<xsl:variable name="vEnv">
		<xsl:choose>
			<xsl:when test="getDialogVar('vSymbol') = 1">questionmult</xsl:when>
			<xsl:otherwise>questionmultx</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>

	<xsl:template match="op:mcqMur">
	\begin{<xsl:value-of select="$vEnv"/>}{<xsl:value-of select="getDialogVar('vQuestLabel')"/>}
		<xsl:if test="string-length($vLocalAltBaremeRoot) > 0">\bareme{\QCM<xsl:value-of select="$vLocalAltBaremeRoot"/>}</xsl:if>
		<xsl:apply-templates select="sc:question"/>
		<xsl:apply-templates select="sc:choices"/>
	\end{<xsl:value-of select="$vEnv"/>}
	</xsl:template>

	<xsl:template match="sc:question">
		<xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>
	</xsl:template>

	<xsl:template match="sc:choices">
		\begin{reponses}<xsl:if test="getDialogVar('vLocalShuffle') = 0">[o]</xsl:if>
		<xsl:for-each select="sc:choice">
			<xsl:if test="@solution = 'checked'">
			\bonne{<xsl:apply-templates select="sc:choiceLabel"/>}
			</xsl:if>
			<xsl:if test="@solution = 'unchecked'">
			\mauvaise{<xsl:apply-templates select="sc:choiceLabel"/>}
			</xsl:if>
		</xsl:for-each>
		\end{reponses}
	</xsl:template>

	<xsl:template match="sc:choiceLabel">
		<xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>
	</xsl:template>
	

  <!--ATTENTION ! quand on utilise xsl:import les templates définis dans l'import n'ont pas la priorité sur les templates locaux
		Conséquence si on a un <xsl:template match="*"/> en local il ne peut y avoir éxécutions des templates importés autres que ceux appelés
		par xsl;call-template
		Pour palier à celà il convient d'ajouter un <xsl;apply_imports/> dans le <xsl:template match="*"/>
	-->
  <xsl:template match="*"><xsl:apply-imports/></xsl:template>
  
</xsl:stylesheet>
