<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:op="utc.fr:ics/opale3"
	exclude-result-prefixes="sc sp op">
	<xsl:import href="intern:bswsp:~param/libLaTeX/_common/latex.xsl"/>

<xsl:output method="text" encoding="UTF-8" indent="no"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
	<xsl:variable name="vQuestionShuffle" select="getDialogVar('vQuestionShuffle')"/>
	<xsl:variable name="vHeading" select="getDialogVar('vHeading')"/>
	<xsl:variable name="vContent" select="getDialogVar('vContent')"/>

	<xsl:template match="op:amcTest">
		<xsl:apply-templates select="sp:openCat"/>
		<xsl:if test="$vQuestionShuffle = 'global' and $vContent != 'solution'">
			\cleargroup{global}
		</xsl:if>
		<xsl:apply-templates select="sp:cat"/>
		<xsl:if test="$vQuestionShuffle= 'global' and $vContent != 'solution'">
			\melangegroupe{global}
			\restituegroupe{global}
			\AMClabel{dernierepage} 
		</xsl:if>
	</xsl:template>

	<xsl:template match="sp:openCat">
		<xsl:variable name="label" select="getContent(gotoSubModel(),'label')"/>
		<xsl:variable name="title" select="getContent(gotoSubModel(),'title')"/>
		<xsl:if test="$vHeading = 1 and $vQuestionShuffle != 'global'">
		\SCgroupHeading{<xsl:value-of select="$title"/>}
		</xsl:if>
		\restituegroupe{<xsl:value-of select="$label"/>}
	</xsl:template>

	<xsl:template match="sp:cat">
		<xsl:variable name="nbQuest" select="getContent(gotoMeta(),'')"/>
		<xsl:variable name="title" select="getContent(gotoSubModel(),'title')"/>
		<xsl:variable name="label" select="getContent(gotoSubModel(),'label')"/>
			<xsl:choose>
				<xsl:when test="$vQuestionShuffle = 'global' and $vContent != 'solution'">
			\melangegroupe{<xsl:value-of select="$label"/>}
			\copygroup<xsl:if test="$nbQuest > 0">[<xsl:value-of select="$nbQuest"/>]</xsl:if>{<xsl:value-of select="$label"/>}{global}
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="$vHeading = 1">
			\SCgroupHeading{<xsl:value-of select="$title"/>}
					</xsl:if>
					<xsl:if test="$vQuestionShuffle = 'category' and $vContent != 'solution'">
			\melangegroupe{<xsl:value-of select="$label"/>}
					</xsl:if>
			\restituegroupe<xsl:if test="$nbQuest > 0">[<xsl:value-of select="$nbQuest"/>]</xsl:if>{<xsl:value-of select="$label"/>}	
				</xsl:otherwise>
			</xsl:choose>

	</xsl:template>
	

  <!--ATTENTION ! quand on utilise xsl:import les templates définis dans l'import n'ont pas la priorité sur les templates locaux
		Conséquence si on a un <xsl:template match="*"/> en local il ne peut y avoir éxécutions des templates importés autres que ceux appelés
		par xsl;call-template
		Pour palier à celà il convient d'ajouter un <xsl;apply_imports/> dans le <xsl:template match="*"/>
	-->
  <xsl:template match="*"><xsl:apply-imports/></xsl:template>
  
</xsl:stylesheet>
