<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:op="utc.fr:ics/opale3"
	exclude-result-prefixes="sc sp op">
	<xsl:import href="intern:bswsp:~param/libLaTeX/_common/latex.xsl"/>

<xsl:output method="text" encoding="UTF-8" indent="no"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>

	<xsl:variable name="vCategories" select="getDialogVar('vCategories')"/>
	<xsl:variable name="label" select="getContent(currentModel(),'label')"/>

	<xsl:template match="op:amcOpenCat">
		<xsl:apply-templates select="sp:open"/>
	</xsl:template>
	
	<xsl:template match="sp:open">
		<xsl:variable name="questLabel" select="concat($label,'-',string(position()))"/>	
		<xsl:if test="$vCategories = 1">
		\element{<xsl:value-of select="$label"/>}{%
		</xsl:if>
			\begin{question}{<xsl:value-of select="$questLabel"/>}
				<!-- intitulé -->
				<xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>
				\AMCOpen{<xsl:value-of select="getContent(gotoMeta(),'lines')"/><xsl:value-of select="getContent(gotoSubModel(),'options')" disable-output-escaping="yes"/>}{
					<xsl:value-of select="getContent(gotoMeta(),'bareme')"/>
				}
			\end{question}
		<xsl:if test="$vCategories = 1">
		}
		</xsl:if>
	</xsl:template>
	

  <!--ATTENTION ! quand on utilise xsl:import les templates définis dans l'import n'ont pas la priorité sur les templates locaux
		Conséquence si on a un <xsl:template match="*"/> en local il ne peut y avoir éxécutions des templates importés autres que ceux appelés
		par xsl;call-template
		Pour palier à celà il convient d'ajouter un <xsl;apply_imports/> dans le <xsl:template match="*"/>
	-->
  <xsl:template match="*"><xsl:apply-imports/></xsl:template>
  
</xsl:stylesheet>
