<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:op="utc.fr:ics/opale3"
	exclude-result-prefixes="sc sp op">
	<xsl:import href="intern:bswsp:~param/libLaTeX/_common/latex.xsl"/>

<xsl:output method="text" encoding="UTF-8" indent="no"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>

	<xsl:template match="op:amcRootM">
		<xsl:variable name="isAMC" select="setDialogVar('isAMC','yes')"/>
		<xsl:apply-templates select="sp:*"/>
	</xsl:template>	
	
	<xsl:template match="sp:testOpt | sp:contentOpt | sp:printOpt">
		<xsl:apply-templates select="sp:*"/>
	</xsl:template>

	<xsl:template match="sp:degree">
		<xsl:variable name="degree"><xsl:apply-templates select="text()"/></xsl:variable>
		<xsl:variable name="vDegree" select="setDialogVar('vDegree',$degree)"/>
	</xsl:template>

	<xsl:template match="sp:course">
		<xsl:variable name="course"><xsl:apply-templates select="text()"/></xsl:variable>
		<xsl:variable name="vCourse" select="setDialogVar('vCourse',$course)"/>
	</xsl:template>

	<xsl:template match="sp:schoolYear">
		<xsl:variable name="schoolYear"><xsl:apply-templates select="text()"/></xsl:variable>
		<xsl:variable name="vSchoolYear" select="setDialogVar('vSchoolYear',$schoolYear)"/>
	</xsl:template>

	<xsl:template match="sp:date">
		<xsl:variable name="date"><xsl:apply-templates select="text()"/></xsl:variable>
		<xsl:variable name="vDate" select="setDialogVar('vDate',$date)"/>
	</xsl:template>

	<xsl:template match="sp:duration">
		<xsl:variable name="duration"><xsl:apply-templates select="text()"/></xsl:variable>
		<xsl:variable name="vDuration" select="setDialogVar('vDuration',$duration)"/>
	</xsl:template>

	<xsl:template match="sp:content">
		<xsl:variable name="content" select="setDialogVar('vContent',string(.))"/>
	</xsl:template>

	<xsl:template match="sp:heading">
		<xsl:variable name="heading" select="setDialogVar('vHeading',number(.))"/>
	</xsl:template>

	<xsl:template match="sp:questionShuffle">
		<xsl:variable name="questionShuffle" select="setDialogVar('vQuestionShuffle',string(.))"/>
	</xsl:template>

	<xsl:template match="sp:answerShuffle">
		<xsl:variable name="answerShuffle" select="setDialogVar('vAnswerShuffle',number(.))"/>
	</xsl:template>

	<xsl:template match="sp:copies">
		<xsl:variable name="copies" select="setDialogVar('vCopies',number(.))"/>
	</xsl:template>

	<xsl:template match="sp:print">
		<xsl:variable name="print" select="setDialogVar('vPrint',string(.))"/>
	</xsl:template>

	<xsl:template match="sp:separate">
		<xsl:variable name="separate" select="setDialogVar('vSeparate',number(.))"/>
	</xsl:template>

	<xsl:template match="sp:symbol">
		<xsl:variable name="symbol" select="setDialogVar('vSymbol',number(.))"/>
	</xsl:template>

	<xsl:template match="sp:code">
		<xsl:variable name="code" select="setDialogVar('vCode',number(.))"/>
	</xsl:template>
	


  <!--ATTENTION ! quand on utilise xsl:import les templates définis dans l'import n'ont pas la priorité sur les templates locaux
		Conséquence si on a un <xsl:template match="*"/> en local il ne peut y avoir éxécutions des templates importés autres que ceux appelés
		par xsl;call-template
		Pour palier à celà il convient d'ajouter un <xsl;apply_imports/> dans le <xsl:template match="*"/>
	-->
  <xsl:template match="*"><xsl:apply-imports/></xsl:template>
  
</xsl:stylesheet>
