<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:op="utc.fr:ics/opale3"
	exclude-result-prefixes="sc sp op">
	<xsl:import href="intern:bswsp:~param/libLaTeX/_common/latex.xsl"/>

<xsl:output method="text" encoding="UTF-8" indent="no"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
	<xsl:variable name="vAnswerShuffle" select="getDialogVar('vAnswerShuffle')"/>

	<xsl:template match="op:amcTest">
		<xsl:if test="sp:cat">
			% Préparation des groupes 
		</xsl:if>
		<xsl:apply-templates select="sp:openCat | sp:cat | sp:quiz"/>
		<xsl:if test="sp:cat">
			% Fin de la préparation des groupes 
		</xsl:if>
	</xsl:template>

	<xsl:template match="sp:openCat">
		<xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>
	</xsl:template>
	
	<xsl:template match="sp:cat">
		<xsl:variable name="vLocalAltBaremeRoot" select="setDialogVar('vLocalAltBaremeRoot', normalize-space(getContent(gotoMeta(),'bareme')))"/>
		<xsl:variable name="pos" select="setDialogVar('vQuestPos',0)"/>
		<xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>
	</xsl:template>
	
	<xsl:template match="sp:quiz">
		<xsl:variable name="vLocal">
			<xsl:choose>
				<xsl:when test="$vAnswerShuffle = 1"><xsl:value-of select="getContent(gotoMeta(),'')"/></xsl:when>
				<xsl:otherwise>1</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="vLocalShuffle" select="setDialogVar('vLocalShuffle',$vLocal)"/>
		<xsl:variable name="vQuestLabel" select="setDialogVar('vQuestLabel',concat('question','-',string(position())))"/>	

		<xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>
	</xsl:template>
	

  <!--ATTENTION ! quand on utilise xsl:import les templates définis dans l'import n'ont pas la priorité sur les templates locaux
		Conséquence si on a un <xsl:template match="*"/> en local il ne peut y avoir éxécutions des templates importés autres que ceux appelés
		par xsl;call-template
		Pour palier à celà il convient d'ajouter un <xsl;apply_imports/> dans le <xsl:template match="*"/>
	-->
  <xsl:template match="*"><xsl:apply-imports/></xsl:template>
  
</xsl:stylesheet>
