<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:op="utc.fr:ics/opale3"
	exclude-result-prefixes="sc sp op">
	<xsl:import href="intern:bswsp:~param/libLaTeX/_common/latex.xsl"/>

<xsl:output method="text" encoding="UTF-8" indent="no"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
	<xsl:variable name="max" select="number(sp:max)"/>
	<xsl:variable name="increment">
		<xsl:choose>
			<xsl:when test="number(sp:half = 0)">1</xsl:when>
			<xsl:otherwise>0.5</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>

	<xsl:template match="op:amcBaremeOpen1">
		<xsl:call-template name="choices">
			<xsl:with-param name="score" select="0"/>
    </xsl:call-template>
	</xsl:template>


	<xsl:template name="choices">
  	<xsl:param name="score"/>
    <xsl:if test="$score &lt; $max">
      \wrongchoice[<xsl:value-of select="$score"/>]{<xsl:value-of select="$score"/>}\scoring{<xsl:value-of select="$score"/>}
      <xsl:call-template name="choices">
        <xsl:with-param name="score" select="number($score) + number($increment)"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:if test="$score = $max">
    	\correctchoice[<xsl:value-of select="$score"/>]{<xsl:value-of select="$score"/>}\scoring{<xsl:value-of select="$score"/>}
    </xsl:if>
  </xsl:template>


  <!--ATTENTION ! quand on utilise xsl:import les templates définis dans l'import n'ont pas la priorité sur les templates locaux
		Conséquence si on a un <xsl:template match="*"/> en local il ne peut y avoir éxécutions des templates importés autres que ceux appelés
		par xsl;call-template
		Pour palier à celà il convient d'ajouter un <xsl;apply_imports/> dans le <xsl:template match="*"/>
	-->
  <xsl:template match="*"><xsl:apply-imports/></xsl:template>
  
</xsl:stylesheet>