<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:op="utc.fr:ics/opale3"
	exclude-result-prefixes="sc sp op">
	<xsl:import href="intern:bswsp:~param/libLaTeX/_common/latex.xsl"/>

<xsl:output method="text" encoding="UTF-8" indent="no"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
	<xsl:template match="op:amcBaremeOpen2">
		<xsl:for-each select="sp:scores/sp:score">
			<xsl:sort select="sp:value"/>
			<xsl:variable name="label">
				<xsl:choose>
					<xsl:when test="sp:label"><xsl:value-of select="sp:label"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="sp:value"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="value" select="sp:value"/>
			<xsl:choose>
				<xsl:when test="position() != last()">
					\wrongchoice[<xsl:value-of select="$label"/>]{<xsl:value-of select="$label"/>}\scoring{<xsl:value-of select="$value"/>}
				</xsl:when>
				<xsl:otherwise>
					\correctchoice[<xsl:value-of select="$label"/>]{<xsl:value-of select="$label"/>}\scoring{<xsl:value-of select="$value"/>}
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>

	</xsl:template>


  <!--ATTENTION ! quand on utilise xsl:import les templates définis dans l'import n'ont pas la priorité sur les templates locaux
		Conséquence si on a un <xsl:template match="*"/> en local il ne peut y avoir éxécutions des templates importés autres que ceux appelés
		par xsl;call-template
		Pour palier à celà il convient d'ajouter un <xsl;apply_imports/> dans le <xsl:template match="*"/>
	-->
  <xsl:template match="*"><xsl:apply-imports/></xsl:template>
  
</xsl:stylesheet>