<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:op="utc.fr:ics/opale3" 
	exclude-result-prefixes="sc sp op">

<xsl:output method="text" encoding="UTF-8" indent="no"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>

<xsl:variable name="pubCF" select="getDialogVar('pubCF')"/>

<xsl:template match="*" mode="filter">
  <xsl:choose>
    <xsl:when test="not(op:filter)"><xsl:apply-templates select="." /></xsl:when>
    <xsl:when test="not(op:filter/sp:exclude[text() = $pubCF])"><xsl:apply-templates select="." /></xsl:when>
  </xsl:choose>
</xsl:template>

<xsl:template match="*" mode="internalFilter">
  <xsl:choose>
    <xsl:when test="not(op:internalM/sp:filters)"><xsl:apply-templates select="."/></xsl:when>
    <xsl:when test="not(op:internalM/sp:filters/op:filter/sp:exclude[text() = $pubCF])"><xsl:apply-templates select="." /></xsl:when>
  </xsl:choose>
</xsl:template>

<!-- règle internalFilter spéciale pour les questions et problèmes dans une liste -->
<xsl:template match="*" mode="internalFilterItem">
  <xsl:choose>
    <xsl:when test="not(op:internalM/sp:filters)"><xsl:apply-templates select="." mode="item"/></xsl:when>
    <xsl:when test="not(op:internalM/sp:filters/op:filter/sp:exclude[text() = $pubCF])"><xsl:apply-templates select="." mode="item"/></xsl:when>
  </xsl:choose>
</xsl:template>

<xsl:template match="*" mode="bpFilter">
  <xsl:choose>
    <xsl:when test="not(op:pbTi/sp:filters) and not(op:mathPbTi/sp:filters)"><xsl:apply-templates select="." /></xsl:when>
    <xsl:when test="not(op:pbTi/sp:filters/op:filter/sp:exclude[text() = $pubCF]) and not(op:mathPbTi/sp:filters/op:filter/sp:exclude[text() = $pubCF])"><xsl:apply-templates select="." /></xsl:when>
  </xsl:choose>
</xsl:template>
</xsl:stylesheet>
