<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:op="utc.fr:ics/opale3"
	exclude-result-prefixes="sc sp op">

<xsl:output method="text" encoding="UTF-8" indent="no"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:variable name="localUri" select="getDialogVar('localUri')"/>
  <xsl:variable name="pubPath" select="getDialogVar('pubPath')"/>
  <xsl:variable name="isAMC" select="getDialogVar('isAMC')"/>

<xsl:template name="putLabel"><!--
--><xsl:if test="string-length($localUri) > 0">
    <xsl:variable name="label">
      <xsl:call-template name="escapeUri">
        <xsl:with-param name="uri" select="$localUri" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="$isAMC">\AMClabel{<xsl:value-of select="normalize-space($label)"/>}</xsl:when>
      <xsl:otherwise>\label{<xsl:value-of select="normalize-space($label)"/>}</xsl:otherwise>
    </xsl:choose>
  </xsl:if>
</xsl:template>

<xsl:template name="putResLabel">
      <!--    <xsl:variable name="uri" select="@sc:refUri" />-->
      <!-- ATTENTION ! Ne pas utiliser le selec="@sc:refUrl" pour un test sur la valeur.
      en contecte SCserver ça ne donne pas la bonne info 
      => utiliser : select="srcFields(resolveSrcPath(@sc:refUri), 'srcUri') -->  
  <xsl:variable name="uri" select="srcFields(resolveSrcPath(@sc:refUri), 'srcUri')" />
  <xsl:variable name="label">
    <xsl:call-template name="escapeUri">
      <xsl:with-param name="uri" select="$uri" />
    </xsl:call-template>
  </xsl:variable>
  <xsl:choose>
    <xsl:when test="$isAMC">\AMClabel{<xsl:value-of select="normalize-space($label)"/>}</xsl:when>
    <xsl:otherwise>\label{<xsl:value-of select="normalize-space($label)"/>}</xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="putRef"><!--    <xsl:variable name="uri" select="@sc:refUri" />
       ATTENTION ! Ne pas utiliser le selec="@sc:refUrl" pour un test sur la valeur.
      en contecte SCserver ça ne donne pas la bonne info 
      => utiliser : select="srcFields(resolveSrcPath(@sc:refUri), 'srcUri') -->  
  <xsl:variable name="uri" select="srcFields(resolveSrcPath(@sc:refUri), 'srcUri')" />
  <xsl:variable name="ref">
    <xsl:choose>
      <xsl:when test="contains($uri,'.ref')">
        <xsl:value-of select="getContent(gotoSubModel(),'')"/>          
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="escapeUri">
          <xsl:with-param name="uri" select="$uri" />
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:choose>
    <xsl:when test="$isAMC">\AMCref{<xsl:value-of select="normalize-space($ref)"/>}</xsl:when>
    <xsl:otherwise>\ref{<xsl:value-of select="normalize-space($ref)"/>}</xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="setVarLocalUri">
      <!--    <xsl:variable name="uri" select="@sc:refUri" />-->
      <!-- ATTENTION ! Ne pas utiliser le selec="@sc:refUrl" pour un test sur la valeur.
      en contecte SCserver ça ne donne pas la bonne info 
      => utiliser : select="srcFields(resolveSrcPath(@sc:refUri), 'srcUri') -->  
  <xsl:variable name="uri" select="srcFields(resolveSrcPath(@sc:refUri), 'srcUri')" />
  <xsl:choose>
    <xsl:when test="$uri">
      <xsl:variable name="setLocalUri" select="setDialogVar('localUri',normalize-space($uri))" />
    </xsl:when>
    <xsl:otherwise>
      <xsl:variable name="setLocalUri" select="setDialogVar('localUri','')" />
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="escapeUri">
  <xsl:param name="uri"/>
  <xsl:variable name="before">AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZzÀàÁáÂâÃãÄäÅåÆæÇçÈèÉéÊêËëÌìÍíÎîÏïÐðÑñÒòÓóÔôÕõÖöØøÙùÚúÛûÜüÝý/(){}[]%$#@,:.;!_-&#x20;&#x9;&#xa;&#xd;</xsl:variable>
  <xsl:variable name="after" >aabbccddeeffgghhiijjkkllmmnnooppqqrrssttuuvvwwxxyyzzaaaaaaaaaaaaaacceeeeeeeeiiiiiiiiddnnoooooooooooouuuuuuuuyy</xsl:variable>
  <xsl:value-of select="translate($uri,$before,$after)" />
</xsl:template>

  <xsl:template name="baremeLabel">
    <xsl:param name="uri"/>
    <!-- on retire l'extension du nom -->
    <xsl:variable name="filename" select="substring($uri,1,string-length($uri) - string-length('.bareme'))"/>
    <!-- on retire les caractères interdits -->
    <xsl:variable name="filename2">
      <xsl:call-template name="escapeBareme">
        <xsl:with-param name="uri" select="$filename"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:value-of select="normalize-space($filename2)"/>
  </xsl:template>
  
  <xsl:template name="escapeBareme">
    <xsl:param name="uri"/>
    <xsl:variable name="before">0123456789AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZzÀàÁáÂâÃãÄäÅåÆæÇçÈèÉéÊêËëÌìÍíÎîÏïÐðÑñÒòÓóÔôÕõÖöØøÙùÚúÛûÜüÝý/(){}[]%$#@,:.;!_-&#x20;&#x9;&#xa;&#xd;</xsl:variable>
    <xsl:variable name="after" >OIZEASGTBPaabbccddeeffgghhiijjkkllmmnnooppqqrrssttuuvvwwxxyyzzaaaaaaaaaaaaaacceeeeeeeeiiiiiiiiddnnoooooooooooouuuuuuuuyy</xsl:variable>
    <xsl:value-of select="translate($uri,$before,$after)" />
  </xsl:template>
  
<xsl:template name="putPath">
  <xsl:choose>
    <xsl:when test="$isAMC">
      <xsl:if test="$pubPath = 1">
        <xsl:choose>
          <xsl:when test="string-length($localUri) > 0 and not(contains($localUri,'.label'))">
            \SCpath{<xsl:value-of select="substring-after(name(.),':')" /><xsl:text> : </xsl:text>\nolinkurl{<xsl:value-of select="$localUri" />}}
          </xsl:when>
          <xsl:otherwise>
            \SCpath{<xsl:value-of select="substring-after(name(.),':')" /><xsl:text> : contenu internalisé</xsl:text>}
          </xsl:otherwise>
        </xsl:choose>
      </xsl:if>
    </xsl:when>  
    
    
    <xsl:otherwise>
      <xsl:if test="$pubPath = 1">
        <xsl:choose>
          <xsl:when test="$level = 1">\SCvspace{1}</xsl:when>
          <xsl:when test="$level = 2">\SCvspace{2}</xsl:when>
          <xsl:when test="$level = 3">\SCvspace{3}</xsl:when>
          <xsl:when test="$level = 4">\SCvspace{4}</xsl:when>
          <xsl:when test="$level = 5">\SCvspace{5}</xsl:when>
          <xsl:when test="$level = 6">\SCvspace{6}</xsl:when>
          <xsl:otherwise></xsl:otherwise>
        </xsl:choose><!--
  --><xsl:variable name="type">
          <xsl:choose>
            <xsl:when test="name(.) = 'op:ue'">Module de cours</xsl:when>
            <xsl:when test="name(.) = 'op:corpus'">Corpus</xsl:when>
            <xsl:when test="name(.) = 'op:corpusDiv'">Sous corpus</xsl:when>
            <xsl:when test="name(.) = 'op:ueDiv'">Division</xsl:when>
            <xsl:when test="name(.) = 'op:courseUa'">Activité d'apprentissage</xsl:when>
            <xsl:when test="name(.) = 'op:assmntUa'">Activité d'auto-évaluation</xsl:when>
            <xsl:when test="name(.) = 'op:expUc'">Grain de contenu</xsl:when>
            <xsl:when test="name(.) = 'op:expUcDiv'">Partie de grain de contenu</xsl:when>
            <xsl:when test="name(.) = 'op:practUc'">Exercice rédactionnel</xsl:when>
            <xsl:when test="name(.) = 'op:coQuiz'">Liste d'exercices</xsl:when>
            <xsl:when test="name(.) = 'op:cloze'">Exercice - Texte à trous</xsl:when>
            <xsl:when test="name(.) = 'op:field'">Exercice - Question fermée</xsl:when>
            <xsl:when test="name(.) = 'op:match'">Exercice - Catégorisation</xsl:when>
            <xsl:when test="name(.) = 'op:pair'">Exercice - Appariement</xsl:when>
            <xsl:when test="name(.) = 'op:mcqMur'">Exercice - Question à choix multiple</xsl:when>
            <xsl:when test="name(.) = 'op:mcqSur'">Exercice - Question à choix unique</xsl:when>
            <xsl:when test="name(.) = 'op:ordWord'">Exercice - Ordonnancement</xsl:when>
          </xsl:choose>
        </xsl:variable><!--
  --><xsl:choose>
          <xsl:when test="string-length($localUri) > 0 and not(contains($localUri,'.label'))"><!--
      -->\SCpath{<xsl:value-of select="$type" /><xsl:text> : </xsl:text>\nolinkurl{<xsl:value-of select="$localUri" />}}
          </xsl:when>
          <xsl:otherwise><!--
      -->\SCpath{<xsl:value-of select="$type" /><xsl:text> : contenu internalisé</xsl:text>}
          </xsl:otherwise>
        </xsl:choose>
      </xsl:if>      
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


</xsl:stylesheet>
