<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:op="utc.fr:ics/opale3"
	exclude-result-prefixes="sc sp op">
	<xsl:import href="intern:bswsp:~param/libLaTeX/_common/latex.xsl"/>
	<xsl:import href="intern:bswsp:~param/libLaTeX/_common/filter.xsl"/>
	<xsl:import href="intern:bswsp:~param/libLaTeX/_common/labelRef.xsl"/>
	
	<xsl:output method="text" encoding="UTF-8" indent="no"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<!-- template bidon pour tester l'import -->
	<xsl:template name="bidon">
		test bidon
	</xsl:template>

	<xsl:template match="sc:para" mode="rtitle"><!--
--><xsl:apply-templates select="*|text()"/><!--
--></xsl:template>
	
	<xsl:template match="sc:para"><!--
--><xsl:apply-templates select="*|text()"/><xsl:if test="name(./following::sc:*[1]) = 'sc:para' or count(./following)=0">\par{}</xsl:if><!--
--></xsl:template>

	<xsl:template match="sc:para" mode="labelTxt"><!--
--><xsl:apply-templates select="*|text()"/><!--
--></xsl:template>
	
	<!-- gestion des listes -->
	<xsl:template match="sc:itemizedList">
		\begin{SCitemize}<!--
--><xsl:apply-templates select="sc:listItem"/>
		\end{SCitemize}
	</xsl:template>
	
	<xsl:template match="sc:orderedList">
		\begin{SCenumerate}<!--
--><xsl:apply-templates select="sc:listItem"/>
		\end{SCenumerate}
	</xsl:template>
	
	<xsl:template match="sc:listItem">
		\item <xsl:apply-templates select="*"/>
	</xsl:template>
	
	<!-- gestion des uLink -->
	<xsl:template match="sc:uLink[@url]"><!--
-->\href{<xsl:value-of select="@url"/>}{<xsl:apply-templates select="*|text()"/>}<!--
--></xsl:template>
	
	<xsl:template match="sc:uLink[@role='acr']"><!--
--><xsl:apply-templates select="*|text()"/>\footnote{<xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>}<!--
--></xsl:template>
	
	<xsl:template match="sc:uLink[@role='glos']"><!--
--><xsl:apply-templates select="*|text()"/>\footnote{<xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>}<!--
--></xsl:template>
	
	<xsl:template match="sc:uLink[@role='bib']"><!--
--><xsl:choose>
			<xsl:when test="getDialogVar('pubBib') = 1">
				<xsl:apply-templates select="*|text()"/> <xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*|text()"/>\footnote{<xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>}
			</xsl:otherwise>
		</xsl:choose><!--
--></xsl:template>
	
	<xsl:template match="sc:uLink[@role='ref']"><!--
--><xsl:apply-templates select="*|text()"/>\footnote{<xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>}<!--
--></xsl:template>
	
	
	<xsl:template match="sc:uLink[@role='docLnk']"><!--
--></xsl:template>
	
	<!--déprécié-->
	<xsl:template match="sc:uLink[@role='refLnk']"><!--
--><xsl:apply-templates select="*|text()"/><xsl:text> </xsl:text><xsl:call-template name="putRef" />
	</xsl:template>
	<xsl:template match="sc:uLink[@role='ucLnk']"><!--
--><xsl:apply-templates select="*|text()"/><xsl:text> </xsl:text><xsl:call-template name="putRef" />
	</xsl:template>
	
	<xsl:template match="sc:uLink[@role='resLnk']"><!--
--><xsl:apply-templates select="*|text()"/><xsl:text> </xsl:text><xsl:call-template name="putRef" />
	</xsl:template>
	
	<xsl:template match="sc:uLink[@role='refTeX']"><!--
--><xsl:apply-templates select="*|text()"/>\vref{<xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>}<!--
--></xsl:template>
	
	
	<!-- gestion des inlineStyle -->
	<xsl:template match="sc:inlineStyle[@role='quote']"><!--
-->«~<xsl:apply-templates select="*|text()"/>~»<!--
--></xsl:template>
	
	<xsl:template match="sc:inlineStyle[@role='emp']"><!--
-->\SCtxtemp{<xsl:apply-templates select="*|text()"/>}<!--
--></xsl:template>
	
	<xsl:template match="sc:inlineStyle[@role='spec']"><!--
-->\SCtxtspec{<xsl:apply-templates select="*|text()"/>}<!--
--></xsl:template>
	
	<xsl:template match="sc:inlineStyle[@role='code']"><!--
-->\SCtxtcode{<xsl:apply-templates select="*|text()"/>}<!--
--></xsl:template>
	
	
	<!-- gestion des textLeaf -->
	<xsl:template match="sc:textLeaf[@role='ind']"><!--
-->\SCtxtind{<xsl:apply-templates select="*|text()"/>}<!--
--></xsl:template>
	
	<xsl:template match="sc:textLeaf[@role='exp']"><!--
-->\SCtxtexp{<xsl:apply-templates select="*|text()"/>}<!--
--></xsl:template>
	
	<xsl:template match="sc:textLeaf[@role='mathtex']"><!--
--><xsl:variable name="form">
			<xsl:call-template name="cleanEquation">
				<xsl:with-param name="equation" select="."/>
			</xsl:call-template>
		</xsl:variable><!--
-->$<xsl:value-of select="$form"/>$<!--
--></xsl:template>
	
	<!-- gestion des inlineImg -->
	<xsl:template match="sc:inlineImg[@role='form']">
		<!--    <xsl:variable name="uri" select="@sc:refUri" />-->
		<!-- ATTENTION ! Ne pas utiliser le selec="@sc:refUrl" pour un test sur la valeur.
      en contexte SCserver ça ne donne pas la bonne info 
      => utiliser : select="srcFields(resolveSrcPath(@sc:refUri), 'srcUri') -->		
		<xsl:variable name="uri" select="srcFields(resolveSrcPath(@sc:refUri), 'srcUri')" />
		<xsl:variable name="form">
			<xsl:call-template name="cleanEquation">
				<xsl:with-param name="equation" select="getContent(gotoSubModel(),'')"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:if test="substring($uri, (string-length($uri) - string-length('.mtex')) + 1) = '.mtex'">
			<xsl:variable name="size" select="getContent(gotoSubModel(),'props')"/>
			$<xsl:value-of select="$form" />$
		</xsl:if>
		<xsl:if test="substring($uri, (string-length($uri) - string-length('.odf')) + 1) = '.odf'">
			<xsl:variable name="size" select="getContent(gotoSubModel(),'props')"/>
			\SCincludeInlineGraphics{<xsl:if test="$size"><xsl:value-of select="$size"/></xsl:if>}{<xsl:value-of select="getUrl(gotoSubModel(),'')" />}
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="sc:inlineImg[@role='ico']">
		<xsl:variable name="size" select="getContent(gotoSubModel(),'props')"/>
		\SCincludeInlineGraphics{<xsl:if test="$size"><xsl:value-of select="$size"/></xsl:if>}{<xsl:value-of select="getUrl(gotoSubModel(),'inline')" />}
	</xsl:template>
	
	<!-- gestion du tableau -->
	<xsl:template match="sc:table">
		<xsl:variable name="init"><init/></xsl:variable>
		<xsl:variable name="footnotes2" select="setDialogVar('footnotes',$init)"/>
		<xsl:variable name="index" select="normalize-space(getContent(gotoMeta(),'index'))"/>
		
		<xsl:choose>
			<xsl:when test="string-length($index) > 0">
				\begin{<xsl:value-of select="$index" />}[ht!]
				\centering
			</xsl:when>
			<xsl:otherwise>
				\begin{center}
			</xsl:otherwise>
		</xsl:choose>
		\begin{tabular}{|<xsl:for-each select="sc:column"><xsl:if test="@role = 'head'"><xsl:text> &gt;{\columncolor{lightgray}} </xsl:text></xsl:if>l|</xsl:for-each>}
		\hline
		<xsl:for-each select="sc:row">
			<xsl:if test="@role = 'head'"><xsl:text> \SCcolorRow </xsl:text></xsl:if>
			<xsl:for-each select="sc:cell">
				<xsl:variable name="pos" select="position()"/>
				<xsl:if test="position() > 1"><xsl:text> &amp; </xsl:text></xsl:if><!--
		--><xsl:if test="@role = 'num'"><!--
			--><xsl:if test="position() = 1"><!--
				-->\multicolumn{1}{|<xsl:if test="./ancestor::sc:table/sc:column[position() = $pos and @role = 'head' ]"> &gt;{\columncolor{lightgray}}</xsl:if>r|}{<!--
			--></xsl:if><!--
			--><xsl:if test="position() > 1"><!--
				-->\multicolumn{1}{<xsl:if test="./ancestor::sc:table/sc:column[position() = $pos and @role = 'head' ]"> &gt;{\columncolor{lightgray}}</xsl:if>r|}{<!--
			--></xsl:if><!--
			--></xsl:if><!--
		--><xsl:if test="@role = 'word'"><!--
			--><xsl:if test="position() = 1"><!--
				-->\multicolumn{1}{|<xsl:if test="./ancestor::sc:table/sc:column[position() = $pos and @role = 'head' ]"> &gt;{\columncolor{lightgray}}</xsl:if>c|}{<!--
			--></xsl:if><!--
			--><xsl:if test="position() > 1"><!--
				-->\multicolumn{1}{<xsl:if test="./ancestor::sc:table/sc:column[position() = $pos and @role = 'head' ]"> &gt;{\columncolor{lightgray}}</xsl:if>c|}{<!--
			--></xsl:if><!--
		--></xsl:if><!--
		--><xsl:if test="count(sc:*) >1">\vbox{<xsl:for-each select="sc:*">\hbox{\strut <xsl:apply-templates select="." mode="env"/>}</xsl:for-each>}</xsl:if>
				<xsl:if test="count(sc:*) = 1"><xsl:apply-templates select="sc:*" mode="env"/></xsl:if><!--
	--><xsl:if test="@role = 'num' or @role = 'word' ">}</xsl:if>
			</xsl:for-each>
			\tabularnewline\hline
		</xsl:for-each>
		\end{tabular}
		<xsl:choose>
			<xsl:when test="string-length($index) > 0">
				<xsl:if test="sc:caption"><xsl:apply-templates select="sc:caption"/></xsl:if><xsl:value-of select="getContent(gotoMeta(),'label')"/>
				\end{<xsl:value-of select="$index" />}
			</xsl:when>
			<xsl:otherwise>
				\end{center}
			</xsl:otherwise>
		</xsl:choose>
		
		<xsl:variable name="footnotes" select="getDialogVar('footnotes')" />
		<xsl:for-each select="$footnotes/footnote">
			<xsl:if test="position()=1 and count($footnotes/footnote) > 1">
				\addtocounter{footnote}{-<xsl:value-of select="count($footnotes/footnote) - 1"/>}
			</xsl:if>
			<xsl:if test="not(position()=1)">
				\addtocounter{footnote}{1}
			</xsl:if>
			\footnotetext{<xsl:value-of select="." disable-output-escaping="yes"/>}
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="sc:caption"><!--
-->\caption{<xsl:apply-templates select="text()"/>}
	</xsl:template>
	
	<!-- gestion des cas non spéciaux -->
	<xsl:template match="sc:*" mode="env"><!--
--><xsl:apply-templates select="."/><!--
--></xsl:template>
	
	<xsl:template match="sc:para" mode="env"><!--
--><xsl:apply-templates select="*|text()" mode="env"/><xsl:if test="name(./following-sibling::sc:*[1]) = 'sc:para'">\newline </xsl:if><!--
--></xsl:template>
	
	<xsl:template match="sc:itemizedList" mode="env">
		\begin{minipage}{3cm}
		\vspace*{1mm}
		\begin{SCitemize}<!--
--><xsl:apply-templates select="sc:listItem"/>
		\end{SCitemize}
		\vspace*{1mm}
		\end{minipage}
	</xsl:template>
	
	<xsl:template match="sc:orderedList" mode="env">
		\begin{minipage}{3cm}
		\vspace*{1mm}
		\begin{SCenumerate}<!--
--><xsl:apply-templates select="sc:listItem"/>
		\end{SCenumerate}
		\vspace*{1mm}
		\end{minipage}
	</xsl:template>
	
	<xsl:template match="sc:uLink[@role='acr']" mode="env"><!--
--><xsl:apply-templates select="*|text()"/>\footnotemark <!--
--><xsl:call-template name="footnotetext">
			<xsl:with-param name="text"><xsl:value-of select="getContent(gotoSubModel(),'')"/></xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template match="sc:uLink[@role='bib']" mode="env"><!--
--><xsl:choose>
			<xsl:when test="getDialogVar('pubBib') = 1">
				<xsl:apply-templates select="*|text()"/> <xsl:value-of select="getContent(gotoSubModel(),'')" disable-output-escaping="yes"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="*|text()"/>\footnotemark <!--
    --><xsl:call-template name="footnotetext">
					<xsl:with-param name="text"><xsl:value-of select="getContent(gotoSubModel(),'')"/></xsl:with-param>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="sc:uLink[@role='glos']" mode="env"><!--
--><xsl:apply-templates select="*|text()"/>\footnotemark <!--
--><xsl:call-template name="footnotetext">
			<xsl:with-param name="text"><xsl:value-of select="getContent(gotoSubModel(),'')"/></xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template match="sc:uLink[@role='ref']" mode="env"><!--
--><xsl:apply-templates select="*|text()"/>\footnotemark <!--
--><xsl:call-template name="footnotetext">
			<xsl:with-param name="text"><xsl:value-of select="getContent(gotoSubModel(),'')"/></xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="footnotetext">
		<xsl:param name="text" />
		<xsl:variable name="footnotes">
			<xsl:copy-of select="getDialogVar('footnotes')"/>
			<footnote><xsl:value-of select="$text"/></footnote>
		</xsl:variable>
		<xsl:variable name="footnotes2" select="setDialogVar('footnotes', $footnotes)"/>
	</xsl:template>
	
</xsl:stylesheet>
