<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:op="utc.fr:ics/opale3" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:set="http://exslt.org/sets" xmlns:java="http://xml.apache.org/xslt/java" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="op set java sp " >

<xsl:param name="vSrcNode"/>

<xsl:template match="text()|@*"/>
<xsl:template match="*[@sc:refUri]">
<attrRef nm="?" refUri="{@sc:refUri}"/>
</xsl:template>

<xsl:template match="/sc:item">
<xsl:apply-templates select="op:amcCat"/>
</xsl:template>

<xsl:template match="sc:item/op:amcCat">
	<title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:amcCatM"><xsl:value-of select="sp:title"/></xsl:for-each></title>

	

<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>


<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:amcCat">
<xsl:apply-templates xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
<xsl:apply-overlays xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:amcCat/sp:trainUcMcqSur[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_amcCat:trainUcMcqSur"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:amcCat/sp:trainUcMcqMur[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_amcCat:trainUcMcqMur"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:amcCat/sp:div[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_amcCat:div"/>
<xsl:apply-templates/>
</xsl:template>
		
			<xsl:overlay xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:amcCat">
<xsl:variable name="vUnicityHashSet" select="java:java.util.HashSet.new()"/>
<xsl:for-each select="sp:*[(name()='sp:quiz')][string(@sc:refUri)]">
<xsl:variable name="vItemRefUri" select="java:com.scenari.src.feature.ids.SrcFeatureIds.getRefUri(resolveSrcPath(@sc:refUri))"/>
<xsl:if test="string($vItemRefUri) and not(java:add($vUnicityHashSet, string($vItemRefUri)))">
<cPbs>
<pb typ="Error" msg="Un item a été référencé plusieurs fois !" cd="forbidSameItemTwice">
<xsl:value-of select="formatStr('Veuillez supprimer une des références à l&apos;&apos;item &apos;&apos;%s&apos;&apos;.', java:com.scenari.m.bdp.item.fs.WspSrcUtil.getUiUriFromSrcUri(resolveSrcPath(@sc:refUri)))"/>
</pb>
					</cPbs>
</xsl:if>
</xsl:for-each>
</xsl:overlay>
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:amcCatM">
<xsl:apply-templates xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
<xsl:apply-overlays xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
</xsl:template>
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:headTitle">
<xsl:apply-templates xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
<xsl:apply-overlays xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
</xsl:template>
			
		
			
		
		
			
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineStyle[@role='spec'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:richTitle]">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
			
			
			
			
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:richTitle">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txtM">
<xsl:apply-templates xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
<xsl:apply-overlays xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
</xsl:template>
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:langM">
<xsl:apply-templates xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
<xsl:apply-overlays xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
</xsl:template>
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:amcQuizM">
<xsl:apply-templates xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
<xsl:apply-overlays xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
</xsl:template>
			
			
				
				
			
		

</xsl:stylesheet>