<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:op="utc.fr:ics/opale3" xmlns:java="http://xml.apache.org/xslt/java" xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="op java sfacet sp " extension-element-prefixes="op java sfacet sp " >

<xsl:param name="pItem"/>
<xsl:param name="pIdSubItem"/>
<xsl:param name="pOutlineContext"/>

<xsl:template match="/sc:item">
<xsl:choose>
<xsl:when test="$pIdSubItem">
<itemRoot xp="id('{$pIdSubItem}')">
<xsl:apply-templates select="id($pIdSubItem)/*[last()]" mode="titleNode"/>
<xsl:apply-templates select="id($pIdSubItem)/*[last()]" mode="children"/>
</itemRoot>
</xsl:when>
<xsl:otherwise>
<itemRoot xp="sc:item">
<xsl:apply-templates select="op:amcRoot" mode="titleNode"/>
<xsl:apply-templates select="op:amcRoot" mode="children"/>
</itemRoot>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:amcRoot" mode="titleNode">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:amcRoot" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:amcRoot/sp:amc">
<node xp="op:amcRoot/sp:amc[{count(preceding-sibling::sp:amc) + 1}]" name="Sujet de test">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>


<xsl:template match="node()|@*"/>
<xsl:template match="node()|@*" mode="titleNode"/>
<xsl:template match="node()|@*" mode="children"/>
</xsl:stylesheet>